### Method

# Gegl TileHandlerdup_tile

#### Declaration [src]

    GeglTile*
    gegl_tile_handler_dup_tile (
      GeglTileHandler* handler,
      GeglTile* tile,
      gint x,
      gint y,
      gint z
    )

#### Description [src]

Create a duplicate of `tile`, associated with this tile handler.

This method is not directly available to language bindings.

#### Parameters

`tile`

  Type: `GeglTile`

  The `GeglTile` to copy.

  The data is owned by the caller of the method.

`x`

  Type: `gint`

  The tile space x coordinate for the tile.

`y`

  Type: `gint`

  The tile space y coordinate for the tile.

`z`

  Type: `gint`

  The tile space z coordinate for the tile.

#### Return value

Type: `GeglTile`

The new tile.

The returned data is owned by the instance.